Subject: [mobile-ip] Re: RFC 2461- issue list

From: "Nick 'Sharkey' Moore" <[email-masked]>
Date: Fri, 24 Oct 2003 17:27:39 +1000

On 2003-10-22, Soliman Hesham wrote:
> 
> This is what I found initially. Please let us know if 
> there are any issues that should be added to the list.

G'day Hesham,

	I don't think this is on your list (cut-n-paste from
the opti-dad draft):

|	An NA with O=0,S=0 and no LLAO may [Note 1], however cause
|	the NC entry to be set to STALE, causing NUD to be
|   	performed on the address.
|
|   [Note 1] RFC 2461 is unclear on this, with [RFC2461 7.2.5] specifying
|        "the advertisement prompts future Neighbour Unreachability
|        Detection [...] by changing the state in the cache entry"
|        whereas [RFC2461 Appendix C] specifies the state as "unchanged".
|        Many arguments have been made on the list (see
|        <ftp://playground.sun.com/pub/ipng/mail-archive/ipng.199912>)
|        for one interpretation or the other. For the purposes of this
|        draft, I have assumed that either behaviour is possible.

... but maybe this should be clarified.

cheers,

-----Nick